clang 10.0.0git

Public Member Functions | Static Public Member Functions | List of all members
clang::comments::TParamCommandComment Class Reference

Doxygen \tparam command, describes a template parameter. More...

`#include "clang/AST/Comment.h"`

Inheritance diagram for clang::comments::TParamCommandComment:
[legend]
Collaboration diagram for clang::comments::TParamCommandComment:
[legend]

## Public Member Functions
| TParamCommandComment (SourceLocation LocBegin, SourceLocation LocEnd, unsigned CommandID, CommandMarkerKind CommandMarker)
bool | hasParamName () const
StringRef | getParamName (const FullComment *FC) const
StringRef | getParamNameAsWritten () const
SourceRange | getParamNameRange () const
bool | isPositionValid () const LLVM_READONLY
unsigned | getDepth () const
unsigned | getIndex (unsigned Depth) const
void | setPosition (ArrayRef< unsigned > NewPosition)
Public Member Functions inherited from clang::comments::BlockCommandComment
| BlockCommandComment (SourceLocation LocBegin, SourceLocation LocEnd, unsigned CommandID, CommandMarkerKind CommandMarker)
child_iterator | child_begin () const
child_iterator | child_end () const
unsigned | getCommandID () const
StringRef | getCommandName (const CommandTraits &Traits) const
SourceLocation | getCommandNameBeginLoc () const
SourceRange | getCommandNameRange (const CommandTraits &Traits) const
unsigned | getNumArgs () const
StringRef | getArgText (unsigned Idx) const
SourceRange | getArgRange (unsigned Idx) const
void | setArgs (ArrayRef< Argument > A)
ParagraphComment * | getParagraph () const LLVM_READONLY
bool | hasNonWhitespaceParagraph () const
void | setParagraph (ParagraphComment *PC)
CommandMarkerKind | getCommandMarker () const LLVM_READONLY
Public Member Functions inherited from clang::comments::Comment
| Comment (CommentKind K, SourceLocation LocBegin, SourceLocation LocEnd)
CommentKind | getCommentKind () const
const char * | getCommentKindName () const
void | dump () const
void | dumpColor () const
void | dump (const ASTContext &Context) const
void | dump (raw_ostream &OS, const CommandTraits *Traits, const SourceManager *SM) const
SourceRange | getSourceRange () const LLVM_READONLY
SourceLocation | getBeginLoc () const LLVM_READONLY
SourceLocation | getEndLoc () const LLVM_READONLY
SourceLocation | getLocation () const LLVM_READONLY
child_iterator | child_begin () const
child_iterator | child_end () const
unsigned | child_count () const

## Static Public Member Functions
static bool | classof (const Comment *C)
Static Public Member Functions inherited from clang::comments::BlockCommandComment
static bool | classof (const Comment *C)
Static Public Member Functions inherited from clang::comments::BlockContentComment
static bool | classof (const Comment *C)

## Additional Inherited Members
Public Types inherited from clang::comments::Comment
enum | CommentKind { NoCommentKind = 0 }
typedef Comment *const * | child_iterator
Protected Types inherited from clang::comments::Comment
enum | { NumCommentBits = 8 }
enum | { NumInlineContentCommentBits = NumCommentBits + 1 }
enum | { NumTextCommentBits = NumInlineContentCommentBits + 2 }
enum | { NumInlineCommandCommentBits }
enum | { NumHTMLTagCommentBits = NumInlineContentCommentBits + 1 }
enum | { NumHTMLStartTagCommentBits = NumHTMLTagCommentBits + 1 }
enum | { NumParagraphCommentBits = NumCommentBits + 2 }
enum | { NumBlockCommandCommentBits }
enum | { NumParamCommandCommentBits = NumBlockCommandCommentBits + 3 }
Protected Member Functions inherited from clang::comments::BlockCommandComment
| BlockCommandComment (CommentKind K, SourceLocation LocBegin, SourceLocation LocEnd, unsigned CommandID, CommandMarkerKind CommandMarker)
Protected Member Functions inherited from clang::comments::BlockContentComment
| BlockContentComment (CommentKind K, SourceLocation LocBegin, SourceLocation LocEnd)
Protected Member Functions inherited from clang::comments::Comment
void | setSourceRange (SourceRange SR)
void | setLocation (SourceLocation L)
Protected Attributes inherited from clang::comments::BlockCommandComment
ArrayRef< Argument > | Args
| Word-like arguments. More...
ParagraphComment * | Paragraph
| Paragraph argument. More...
Protected Attributes inherited from clang::comments::Comment
SourceLocation | Loc
| Preferred location to show caret. More...
SourceRange | Range
| Source range of this AST node. More...
union {
CommentBitfields CommentBits
InlineContentCommentBitfields InlineContentCommentBits
TextCommentBitfields TextCommentBits
InlineCommandCommentBitfields InlineCommandCommentBits
HTMLTagCommentBitfields HTMLTagCommentBits
HTMLStartTagCommentBitfields HTMLStartTagCommentBits
ParagraphCommentBitfields ParagraphCommentBits
BlockCommandCommentBitfields BlockCommandCommentBits
ParamCommandCommentBitfields ParamCommandCommentBits
}; |

## Detailed Description

Doxygen \tparam command, describes a template parameter.

Definition at line 801 of file Comment.h.

## Constructor & Destructor Documentation

## ◆ TParamCommandComment()

clang::comments::TParamCommandComment::TParamCommandComment | ( | SourceLocation | LocBegin,
|  | SourceLocation | LocEnd,
|  | unsigned | CommandID,
|  | CommandMarkerKind | CommandMarker
| ) |  |
| inline

Definition at line 818 of file Comment.h.

## Member Function Documentation

## ◆ classof()

static bool clang::comments::TParamCommandComment::classof | ( | const Comment * | C | ) |
| inline static

Definition at line 826 of file Comment.h.

References clang::comments::Comment::getCommentKind().

## ◆ getDepth()

unsigned clang::comments::TParamCommandComment::getDepth | ( |  | ) | const
| inline

Definition at line 848 of file Comment.h.

Referenced by clang::TextNodeDumper::visitTParamCommandComment(), and clang::JSONNodeDumper::visitTParamCommandComment().

## ◆ getIndex()

unsigned clang::comments::TParamCommandComment::getIndex | ( | unsigned | Depth | ) | const
| inline

Definition at line 853 of file Comment.h.

References Depth.

Referenced by clang::TextNodeDumper::visitTParamCommandComment(), and clang::JSONNodeDumper::visitTParamCommandComment().

## ◆ getParamName()

StringRef clang::comments::TParamCommandComment::getParamName | ( | const FullComment * | FC | ) | const

Definition at line 378 of file Comment.cpp.

References clang::comments::FullComment::getDeclInfo(), clang::NamedDecl::getName(), clang::TemplateParameterList::getParam(), and clang::comments::DeclInfo::TemplateParameters.

Referenced by clang::TextNodeDumper::visitTParamCommandComment(), and clang::JSONNodeDumper::visitTParamCommandComment().

## ◆ getParamNameAsWritten()

StringRef clang::comments::TParamCommandComment::getParamNameAsWritten | ( |  | ) | const
| inline

Definition at line 836 of file Comment.h.

Referenced by clang::TextNodeDumper::visitTParamCommandComment(), and clang::JSONNodeDumper::visitTParamCommandComment().

## ◆ getParamNameRange()

SourceRange clang::comments::TParamCommandComment::getParamNameRange | ( |  | ) | const
| inline

Definition at line 840 of file Comment.h.

## ◆ hasParamName()

bool clang::comments::TParamCommandComment::hasParamName | ( |  | ) | const
| inline

Definition at line 830 of file Comment.h.

Referenced by clang::TextNodeDumper::visitTParamCommandComment(), and clang::JSONNodeDumper::visitTParamCommandComment().

## ◆ isPositionValid()

bool clang::comments::TParamCommandComment::isPositionValid | ( |  | ) | const
| inline

Definition at line 844 of file Comment.h.

Referenced by clang::TextNodeDumper::visitTParamCommandComment(), and clang::JSONNodeDumper::visitTParamCommandComment().

## ◆ setPosition()

void clang::comments::TParamCommandComment::setPosition | ( | ArrayRef< unsigned > | NewPosition | ) |
| inline

Definition at line 858 of file Comment.h.

The documentation for this class was generated from the following files:

- include/clang/AST/Comment.h
- lib/AST/Comment.cpp